module Silverdot
  module LocalizeHelper
    def self.included(base)
      base.alias_method_chain :localize, :alternative
    end

    def localize_with_alternative(*args)
      if args[0].is_a?(Alternative)
        args[0]
      else
        localize_without_alternative(*args)
      end
    end
    alias :l :localize_with_alternative
  end
end
