module Silverdot
  class Railtie < ::Rails::Railtie
    initializer 'silverdot' do |_app|
      ActiveSupport.on_load(:action_view) do
        ::ActionView::Base.send :include, Silverdot::ActionViewExtension
        ::ActionView::Base.send :include, Silverdot::LocalizeHelper
        ::ActionView::Base.send :include, Silverdot::ImageHelper
      end
    end
  end
end
