module Silverdot
  module UrlHelper
    def self.included(base)
      base.alias_method_chain :url_for, :alternative
    end

    def url_for_with_alternative(options = nil)
      case options
      when Alternative
        options.url
      else
        url_for_without_alternative(options)
      end
    end
  end
end
